net.sourceforge.pmd.lang.java.rule.codesize

## Class NPathComplexityTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.lang.java.rule.codesize.NPathComplexityTest

    public class NPathComplexityTest
    extends RuleTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`NPathComplexityTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testReturnValueComplexity()` Runs the 3rd test case with the proper threshold property.
`void` `testViolationMessage()`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NPathComplexityTest

    public NPathComplexityTest()

### Method Detail

#### setUp

    public void setUp()

#### testViolationMessage

    public void testViolationMessage()
                              throws Throwable

Throws:
  `Throwable`

#### testReturnValueComplexity

    public void testReturnValueComplexity()
                                   throws Exception

Runs the 3rd test case with the proper threshold property.

Throws:
  `Exception` - any error

#### suite

    public static junit.framework.Test suite()